//
//  PadelClubButtonView.swift
//  PadelClub
//
//  Created by Razmig Sarkissian on 29/03/2024.
//

import SwiftUI

struct PadelClubButtonView: View {
    let isImported: Bool
    
    var body: some View {
        Image(.logo)
            .resizable()
            .scaledToFit()
            .frame(width: 44)
            .overlay(alignment: .bottomTrailing) {
                if isImported {
                    Image(systemName: "checkmark.circle.fill")
                        .foregroundColor(.green)
                        .imageScale(.medium)
                        .background (
                            Color(.systemBackground)
                                .clipShape(.circle)
                        )
                }
            }
    }
}


//#Preview {
//    PadelClubButtonView(isImported: true)
//}
